View Issue Details

IDProjectCategoryView StatusLast Update
0000240Far Manager 1.7xDialogpublic2009-02-19 22:24
ReporterTiger-cubAssigned To 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version1.71 
Target VersionFixed in Version1.71 
Summary0000240: "Тень" у диалогов с уменьшенным размером рамки
DescriptionЕсли диалог вызывается с флагом FDLG_SMALLDIALOG, то при нажатии Alt+Ctrl+Shift он прячется не целиком, а остается как бы тень, т.е. часть окна диалога шириной в один символ по нижнему и правому краю. Наличие или отсутствие флага FDLG_NODRAWSHADOW на результат не влияет.
То же самое происходит, если действия, совершаемые по закрытии диалога, приводят к ошибке (скажем, переход на несуществующую папку). Вылезает окошко сообщения об ошибке на фоне оставшейся "тени" диалогового окна. Любопытно, что в этом случае, если активная панель правая, то "тень" остается только на ней, а если левая – то целиком.
TagsNo tags attached.
Build2247

Activities

vskirdin

2006-12-12 10:10

administrator   bugnote:0000346

Для первой части - тестовый плагин аттач
Для второй части - последоватльность повтора в студию...

samlyukov

2007-07-23 11:39

reporter   bugnote:0000553

Last edited: 2007-07-23 11:50

про FDLG_SMALLDIALOG не подтверждаю, смотрю на плагине VisRen,
ФАР 2247, думаю, можно закрыть.

samlyukov

2008-09-06 08:28

reporter   bugnote:0001804

подтверждения так и не поступило, закрываем.

Issue History

Date Modified Username Field Change
2006-09-10 04:09 Tiger-cub New Issue
2006-09-11 09:04 vskirdin Project Wishes => Far Manager 1.7x
2006-12-12 10:10 vskirdin Note Added: 0000346
2007-07-23 11:39 samlyukov Note Added: 0000553
2007-07-23 11:50 samlyukov Note Edited: 0000553
2007-08-07 06:23 vskirdin Relationship added duplicate of 0000308
2008-09-06 08:28 samlyukov Status new => resolved
2008-09-06 08:28 samlyukov Resolution open => fixed
2008-09-06 08:28 samlyukov Assigned To => samlyukov
2008-09-06 08:28 samlyukov Note Added: 0001804
2008-11-05 12:17 vskirdin Build => 2247
2008-11-05 12:17 vskirdin Status resolved => closed
2008-11-05 12:17 vskirdin Fixed in Version => 1.71
2008-11-05 12:25 vskirdin Relationship deleted 0000308
2009-02-19 22:24 alexy Assigned To samlyukov =>
2009-02-19 22:24 alexy Description Updated